* {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
}

.login-container {
  width: 100%;
  margin: 100px auto 0 auto;
  display: block;
  background: #FFF;
  padding: 10px 100px 50px 100px;
}
.login-container form {
  position: relative;
}
.login-container form p {
  margin: 1rem 0 0 0;
  font-size: 14px;
}
.login-container form a {
  color: #557def;
  padding-bottom: 1px;
  border-bottom: 1px dotted #557def;
}
.login-container form a:hover {
  color: blue;
}

.content-wrapper {
  display: table;
  height: 100%;
}

.panel-cover--overlay {
  background-color: rgba(68, 68, 68, 0.1);
}

@media (max-width: 960px) {
  .content-wrapper {
    height: 50%;
    width: 100%;
  }
}
form p.errors {
  margin: 7px 0 0 4px;
  color: #dc6161;
  display: none;
}

h2 {
  text-align: center;
  margin-bottom: 50px;
}
h2 small {
  font-weight: normal;
  display: block;
  color: #888;
}

.group {
  position: relative;
  margin-bottom: 45px;
}

.login-container input[type=text], .login-container input[type=password] {
  font-size: 18px;
  padding: 10px 10px 10px 5px;
  display: block;
  width: 100%;
  border: none;
  border-bottom: 1px solid #757575 !important;
}
.login-container input[type=text]:focus, .login-container input[type=password]:focus {
  outline: none;
}
.login-container input[type=text].login-input, .login-container input[type=password].login-input {
  -webkit-box-shadow: none !important;
          box-shadow: none !important;
  height: initial;
  margin: 0;
  font-family: system-ui;
  color: #000;
}

input[type=text] + label, input[type=password] + label {
  position: absolute;
  top: 10px;
  left: 5px;
  color: #999;
  font-size: 18px;
  font-weight: normal;
  pointer-events: none;
  transition: 0.2s ease all;
  -moz-transition: 0.2s ease all;
  -webkit-transition: 0.2s ease all;
}

.login-container input[type=text]:focus:not([readonly]) + label,
.login-container input[type=text]:valid:not([readonly]) + label,
.login-container input[type=password]:focus:not([readonly]) + label,
.login-container input[type=password]:valid:not([readonly]) + label {
  top: -20px;
  font-size: 14px;
  color: #5264AE;
}

.button-container {
  text-align: right;
}

.button-container .button[type=button] {
  position: relative;
  background: currentColor;
  border: 1px solid currentColor;
  font-size: 1.1rem;
  color: #5264AE;
  margin: 1rem 0;
  padding: 0.75rem 3rem;
  cursor: pointer;
  -webkit-transition: background-color 0.28s ease, color 0.28s ease, -webkit-box-shadow 0.28s ease;
  transition: background-color 0.28s ease, color 0.28s ease, -webkit-box-shadow 0.28s ease;
  transition: background-color 0.28s ease, color 0.28s ease, box-shadow 0.28s ease;
  transition: background-color 0.28s ease, color 0.28s ease, box-shadow 0.28s ease, -webkit-box-shadow 0.28s ease;
  overflow: hidden;
  -webkit-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
          box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
}
.button-container .button[type=button] span {
  color: #fff;
  position: relative;
  z-index: 1;
}
.button-container .button[type=button]::before {
  content: "";
  position: absolute;
  background: #34458c;
  border: 50vh solid #182042;
  width: 30vh;
  height: 30vh;
  border-radius: 50%;
  display: block;
  top: 50%;
  left: 50%;
  z-index: 0;
  opacity: 1;
  -webkit-transform: translate(-50%, -50%) scale(0);
          transform: translate(-50%, -50%) scale(0);
}
.button-container .button[type=button]:hover {
  color: #34458c;
  -webkit-box-shadow: 0 6px 10px 0 rgba(0, 0, 0, 0.14), 0 1px 18px 0 rgba(0, 0, 0, 0.12), 0 3px 5px -1px rgba(0, 0, 0, 0.2);
          box-shadow: 0 6px 10px 0 rgba(0, 0, 0, 0.14), 0 1px 18px 0 rgba(0, 0, 0, 0.12), 0 3px 5px -1px rgba(0, 0, 0, 0.2);
}
.button-container .button[type=button]:active::before, .button-container .button[type=button]:focus::before {
  -webkit-transition: opacity 0.28s ease 0.364s, -webkit-transform 1.12s ease;
  transition: opacity 0.28s ease 0.364s, -webkit-transform 1.12s ease;
  transition: transform 1.12s ease, opacity 0.28s ease 0.364s;
  transition: transform 1.12s ease, opacity 0.28s ease 0.364s, -webkit-transform 1.12s ease;
  -webkit-transform: translate(-50%, -50%) scale(1);
          transform: translate(-50%, -50%) scale(1);
  opacity: 0;
}
.button-container .button[type=button]:focus {
  outline: none;
}

.button-container .button[type=button].cancel {
  color: silver;
  border: 1px solid #ddd;
  background-color: #e5e5e5;
  -webkit-box-shadow: 0 1px 1px 0 rgba(0, 0, 0, 0.1), 0 2px 1px -2px rgba(0, 0, 0, 0.1), 0 1px 3px 0 rgba(0, 0, 0, 0.1);
          box-shadow: 0 1px 1px 0 rgba(0, 0, 0, 0.1), 0 2px 1px -2px rgba(0, 0, 0, 0.1), 0 1px 3px 0 rgba(0, 0, 0, 0.1);
}
.button-container .button[type=button].cancel span {
  color: #666;
}
.button-container .button[type=button].cancel::before {
  background: white;
  border: 50vh solid #eee;
}
.button-container .button[type=button].cancel:hover {
  -webkit-box-shadow: 0 3px 7px 0 rgba(0, 0, 0, 0.14), 0 1px 9px 0 rgba(0, 0, 0, 0.12), 0 3px 5px -1px rgba(0, 0, 0, 0.2);
          box-shadow: 0 3px 7px 0 rgba(0, 0, 0, 0.14), 0 1px 9px 0 rgba(0, 0, 0, 0.12), 0 3px 5px -1px rgba(0, 0, 0, 0.2);
}

.fade-enter-active, .fade-leave-active {
  -webkit-transition: opacity 0.5s;
  transition: opacity 0.5s;
}

.fade-enter, .fade-leave-to {
  opacity: 0;
}

.modal.popup-dialog {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1050;
  display: none;
  overflow: hidden;
  -webkit-overflow-scrolling: touch;
  outline: 0;
}
.modal.popup-dialog .modal-content {
  position: relative;
  background-color: #fff;
  -webkit-background-clip: padding-box;
  background-clip: padding-box;
  border-radius: 4px;
  outline: 0;
  -webkit-box-shadow: 0 2px 3px rgba(0, 0, 0, 0.125);
  box-shadow: 0 2px 3px rgba(0, 0, 0, 0.125);
  border: 0;
}
.modal.popup-dialog .modal-content h5 {
  margin: 0.3rem 10px;
  font-family: "Source Sans Pro", sans-serif;
}
.modal.popup-dialog .modal-content a.btn.cancel.waves-effect.waves-light {
  float: right;
  margin: -35px 10px 0 0;
  background-color: #f7f7f7 !important;
}
.modal.popup-dialog .modal-content a.btn.cancel.waves-effect.waves-light i {
  color: #bdbdbd;
}
.modal.popup-dialog .modal-footer {
  line-height: 1.42857;
  padding: 1rem 5%;
}
.modal.popup-dialog .modal-footer a.waves-effect.waves-light.btn.submit {
  background-color: #1976d2 !important;
  color: #e4e4e4;
}